/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

@import '~@plateg/theme/styles/plateg-variables.less';

.items-list-table-holder {
  padding: 24px;
  margin-bottom: 60px;
  background: #fff;
  overflow: hidden;
  font-size: 1.6rem;
  h4 {
    font-size: 1.6rem;
    margin: 0 0 24px !important;
  }
  .items-list-table {
    .bezeichnung-column {
      min-width: 300px;
    }
    .ant-table-content {
      overflow: auto;
      .bezeichnung-column {
        width: 400px;
      }
      .summary-column {
        width: 200px;
        text-align: center;
      }
      .ant-table-thead {
        th,
        .empty-column {
          background-color: @platform-blue4;
          border-bottom: 1px solid @platform-blue3;
          vertical-align: top;
          font-size: 1.6rem;
          &.summary-column {
            text-align: center;
          }
        }
      }
      .ant-table-tbody {
        td {
          font-size: 1.6rem;
        }
      }
      .ant-table-tbody > tr.ant-table-row:hover > td {
        background-color: @platform-blue4;
      }
      .no-data-placeholder {
        max-width: 630px;
        border: 1px solid @links-grey-color;
        color: @platform-text-color;
        margin: 32px auto;
        padding: 16px 32px;
        text-align: left;
      }
    }
  }
}
